# Class Session

Class Session

Declaration :

- C++ : class Session

Directly inherited by : SessionImpl

Primary Interface for all editing tasks.
The session contains defaults, all the assets being edited, and a set of EDL with the individual MObjects to be manipulated and rendered.

Artifact : session

Operation currEDL

Declaration :

- Uml : + currEDL() : Seq
- C++ : public: Seq currEDL ()

The EDL currently in focus. In most cases, Session and EDL are almost the same, just EDL emphasizes the collection aspect. But generally (for larger editing projects) one Session can contain several EDLs, which may even be nested. At any given time, only one of these EDLs has focus and recieves the editing commands.

Operation getFixture

Declaration :

- Uml : + getFixture() : Fixture&
- C++ : public: Fixture& getFixture ()

While the session can be comprised of several EDLs,
there is only one Fixture, which represents the actual
configuration of all Objects to be rendered

Relation current (<unidirectional association>)

Declaration :

- Uml : static, + current : SessManager, multiplicity : 1
- C++ : public: static SessManager& current

Standard access path to get at the current session via the Session Manager, which acts as a "PImpl" smart pointer

Relation defaults (<unidirectional association>)

Declaration :

- Uml : # defaults : DefaultsManager
- C++ : protected: DefaultsManager* defaults

All public operations : currEDL , getFixture